package p11_pliki;

import java.io.IOException;
import java.io.PrintWriter;
import java.time.LocalTime;

public class Zapis1a {

    public static void main(String[] args) {
        LocalTime now = LocalTime.now();
        System.out.println("Początek programu, czas: " + now);
        try {
            PrintWriter out = new PrintWriter("pliki/zapis1a.txt");
            out.println("Ala ma kota");
            out.println("Bieżący czas: " + now);
            // flush wymusza zapisanie na dysku danych, które do tej pory zostały wysłane do strumienia
            out.flush();
            // poniższych linii w pliku nie będzie:
            out.println("Ola ma psa");
            out.println("Koniec pliku");
        } catch (IOException e) {
            e.printStackTrace();
        }
        System.out.println("Koniec programu");
    }

}
